## org.eclipse.emf.common
Class CommonPlugin.Implementation

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.emf.common.EMFPlugin.EclipsePlugin
              org.eclipse.emf.common.CommonPlugin.Implementation

All Implemented Interfaces:
  EMFPlugin.InternalEclipsePlugin, Logger, ResourceLocator, org.osgi.framework.BundleActivator

Enclosing class:
  CommonPlugin

    public static class CommonPlugin.Implementation

extends EMFPlugin.EclipsePlugin

The actual implementation of the Eclipse Plugin.

Field Summary

Fields inherited from class org.eclipse.emf.common.EMFPlugin.EclipsePlugin
`helper`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`CommonPlugin.Implementation()` Creates an instance.

Method Summary
`protected static URI` `asLocalURI(URI uri)` Use the platform to convert to a local URI.
`protected static URI` `fix(java.net.URL url, java.lang.String fragment)`
`static java.lang.Class<?>` `loadClass(java.lang.String pluginID, java.lang.String className)` Use the platform to load the named class using the right class loader.
`protected static URI` `resolve(URI uri)` Use the platform to convert to a local URI.

Methods inherited from class org.eclipse.emf.common.EMFPlugin.EclipsePlugin
`doGetImage, getBaseURL, getImage, getString, getString, getString, getString, getSymbolicName, log`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, start, startup, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommonPlugin.Implementation

    public CommonPlugin.Implementation()

  Creates an instance.

Method Detail

### asLocalURI

    protected static URI asLocalURI(URI uri)

  Use the platform to convert to a local URI.

### resolve

    protected static URI resolve(URI uri)

  Use the platform to convert to a local URI.

### fix

    protected static URI fix(java.net.URL url,
                             java.lang.String fragment)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadClass

    public static java.lang.Class<?> loadClass(java.lang.String pluginID,
                                               java.lang.String className)
                                        throws java.lang.ClassNotFoundException

  Use the platform to load the named class using the right class loader.

  Throws:
    `java.lang.ClassNotFoundException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.